Package com.microblink.blinkid.entities.recognizers.blinkid

# Enum Class AgeLimitStatus

java.lang.Object
java.lang.Enum<AgeLimitStatus>
com.microblink.blinkid.entities.recognizers.blinkid.AgeLimitStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<AgeLimitStatus>`, `Constable`

public enum AgeLimitStatus extends Enum<AgeLimitStatus>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BelowAgeLimit`
  Document owner age is less than the given age limit.
  `NotAvailable`
  Status cannot be determined.
  `OverAgeLimit`
  Document owner age is greater than the given age limit.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AgeLimitStatus`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AgeLimitStatus[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NotAvailable

    public static final AgeLimitStatus NotAvailable
    Status cannot be determined. When date of birth is not known.

  - ### BelowAgeLimit

    public static final AgeLimitStatus BelowAgeLimit
    Document owner age is less than the given age limit.

  - ### OverAgeLimit

    public static final AgeLimitStatus OverAgeLimit
    Document owner age is greater than the given age limit.

- ## Method Details

  - ### values

    public static AgeLimitStatus[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AgeLimitStatus valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null